Scenarios
Update a scenario within the active workspace.
AuthorizationBearer <token>
JWT access token. Use: Authorization: Bearer .
In: header
Path Parameters
scenario_id*Scenario Id
Format
uuidHeader Parameters
X-Workspace-Id?string|null
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Schema for updating a scenario
Response Body
application/json
application/json
curl -X PUT "https://example.com/api/v1/scenarios/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978", "description": "string", "required_info": { "property1": "string", "property2": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Community & contact
- Found a bug or have a feature request? Open a GitHub issue.
- Join our Discord for faster replies!
